void printi(int val);

int function(int val)
{
  return val;
}

int main()
{
  int val;
  int (*f)(int val);

  f = function;

  val = f(10);
  printi(val);

  val = (*f)(20);
  printi(val);

  return 0;
}
